<link rel="import" href="../../bower_components/polymer/polymer-element.html">
<dom-module id="uso-reflecttoattribute">
    <template>
        <style>
            :host {
                display: block
            }
        </style>
        Este es el valor que debe verse en el atributto del host: [[reflejada]]
        <button on-click="cambiarValor">Haz clic para cambiar el valor (que se reflejará en el atributo)</button>
    </template>
    <script>
        class TipoPersonalizado {
            //aquí el código de un nuevo tipo inventado
        }
        class UsoReflecttoattribute extends Polymer.Element {
            static get is() {
                return 'uso-reflecttoattribute';
            }
            static get properties() {
                return {
                    reflejada: {
                        type: String,
                        value: 'Me reflejo!!',
                        reflectToAttribute: true
                    }
                };
            }
            constructor() {
                super();
            }
            cambiarValor() {
                this.reflejada = Date.now();
            }
        }
        window.customElements.define(UsoReflecttoattribute.is, UsoReflecttoattribute);
    </script>
</dom-module>
